# Contributing

Please follow the [KiCad Library Convention](https://klc.kicad.org/) before contributing. The official KiCad library is split into categories such as connectors, motor drivers, LEDs. The future of the Fab library is that. For now category name is used as a prefix, for example "LED_" or "MotorDriver_". Then we use the manufacturer name and the product number of the part (not the DigiKey one, but the actual manufacturer number).

Whenever adding a new part, use official [KiCad Library Utilities](https://github.com/kicad/kicad-library-utils) to check and fix libraries. There are some things that are not fully respected, such as using rounded rects for rectangular footprints. We use regular rects due to compatibility with some PCB milling tool path generating software. 

It will check if everything is right. It will help you fix errors if any. The script is run automatically when push to the repository happens. However it is best to do it before pushing locally. The following is a list of what the script does.
