# Fab Electronics Library for KiCad

This library (should) cover all the electronics components found in the official [fab inventory](http://inventory.fabcloud.io/). Using this library should also make it easier to share KiCad project files between Mac, Windows and Linux systems.

> **Warning!** the library is under active development. Naming of components can change overnight. Make sure to `git pull` the latest version before doing work.

## Installation

> Make sure you have at least **KiCad 7** or greater installed.

1. Clone or download this repository. You may rename the directory to `fab`.
2. Store it in a safe place such as `~/kicad/libraries` or `C:/kicad/libraries`.
3. Run KiCad or open a KiCad `.pro` file.
4. Go to "Preferences / Manage Symbol Libraries" and add `fab.kicad_sym` as symbol library.
5. Go to "Preferences / Manage Footprint Libraries" and add `fab.pretty` as footprint library.

## ToDo

- [ ] Create a test script that checks if parts from fab inventory are included
- [ ] Make sure all parts from the inventory are there
- [ ] Fix symbols and footprints according to KLC tests using [KiCad Library Utilities](https://gitlab.com/kicad/libraries/kicad-library-utils)
- [ ] Review symbol and footprint local naming conventions
- [ ] Add 3D models for all parts

## Contributing

Please refer to the [CONTRIBUTING](CONTRIBUTING.md) document.

## License

Please refer to the [LICENSE](LICENSE) document located in this repository.
